GNU bug report logs - #11113
23.3; Access to the mini-buffer in auctex mode triggers window resize in KDE (Kwin)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Jorge Adriano Branco Aires <jorge.adriano@HIDDEN>; dated Wed, 28 Mar 2012 17:58:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Mar 2012 17:57:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 28 13:57:37 2012
Received: from localhost ([127.0.0.1]:43600 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SCx7a-0006Fk-ER
	for submit <at> debbugs.gnu.org; Wed, 28 Mar 2012 13:57:37 -0400
Received: from eggs.gnu.org ([208.118.235.92]:38667)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <jorge.adriano@HIDDEN>) id 1SCvkf-00046E-Vi
	for submit <at> debbugs.gnu.org; Wed, 28 Mar 2012 12:29:52 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <jorge.adriano@HIDDEN>) id 1SCvGD-0006Q0-Pi
	for submit <at> debbugs.gnu.org; Wed, 28 Mar 2012 11:58:15 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_HI,T_DKIM_INVALID autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:47797)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <jorge.adriano@HIDDEN>) id 1SCvGD-0006Po-Ji
	for submit <at> debbugs.gnu.org; Wed, 28 Mar 2012 11:58:09 -0400
Received: from eggs.gnu.org ([208.118.235.92]:51778)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <jorge.adriano@HIDDEN>) id 1SCvGB-0003Nr-Gt
	for bug-gnu-emacs@HIDDEN; Wed, 28 Mar 2012 11:58:09 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <jorge.adriano@HIDDEN>) id 1SCvG4-0006Lw-KO
	for bug-gnu-emacs@HIDDEN; Wed, 28 Mar 2012 11:58:06 -0400
Received: from mail-yx0-f169.google.com ([209.85.213.169]:46746)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <jorge.adriano@HIDDEN>) id 1SCvG4-0006L3-9D
	for bug-gnu-emacs@HIDDEN; Wed, 28 Mar 2012 11:58:00 -0400
Received: by yenm8 with SMTP id m8so972796yen.0
	for <bug-gnu-emacs@HIDDEN>; Wed, 28 Mar 2012 08:57:57 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:date:message-id:subject:from:to:cc:content-type;
	bh=ke4Ird3JGnPo45K3W4cbkqIQ4eUdIGQIlyyGu2x6xZg=;
	b=Dzya8QWayD26DzQ/d7mGRXlNLMp8t0oS0oIjJyQ2CJkIAlE2brDGfEKWP81UdiKpew
	Urx75ZklfrFBwIUrapmmbMKvNDrnIfbQ8v3XN3En0bSbYTlJbGq7Y9WIaBoVIKeEwttE
	/V7IqLGTlrI7LPicaXreHTRvuWgXTLAhPCbHRr6dvXIPZvXymWbMBBKdH2wxtmGOkvjy
	DTrLDhCH71LJycy7yyAOrqJ7TRkNPCNJL3wl4vjNIZSBnN3R/Ij359FJT2Jnc5LvxWcW
	fQwfdGy/NzLs1t3W1oUzFpZZ3QL4XhkoLAro1giBj2TLi26a884fnqHdhsfeJwwypjQl
	qq4g==
MIME-Version: 1.0
Received: by 10.236.76.41 with SMTP id a29mr30059343yhe.117.1332950277657;
	Wed, 28 Mar 2012 08:57:57 -0700 (PDT)
Received: by 10.147.99.3 with HTTP; Wed, 28 Mar 2012 08:57:57 -0700 (PDT)
Date: Wed, 28 Mar 2012 16:57:57 +0100
Message-ID: <CAB3X38h7BS6jNhFNmET8QgBAjPaTWgLySM5X6mPA3yd7iWDMHQ@HIDDEN>
Subject: 23.3; Access to the mini-buffer in auctex mode triggers window resize
	in KDE (Kwin)
From: Jorge Adriano Branco Aires <jorge.adriano@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset=ISO-8859-1
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 28 Mar 2012 13:57:22 -0400
Cc: thomas.luebking@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.1 (-)

Problem:
Emacs+Auctex doesn't work properly in KDE (or more precisely kwin).
Any access to the mini-buffer in auctex mode triggers window resize,
making it smaller.

Current work around:
There is a known workaround right now, which is to set kwin to disobey
geometry restrictions for emacs, in its advanced settings. But of
course most users will have no idea what to do when affected by this
strange behaviour.

Related:
KDE bug report (set to RESOLVED FIXED of KDE's end).
https://bugs.kde.org/show_bug.cgi?id=252314

J.A.

-------------

In GNU Emacs 23.3.1 (x86_64-suse-linux-gnu, GTK+ Version 2.24.7)
 of 2011-10-30 on build17
Windowing system distributor `The X.Org Foundation', version 11.0.11004000
configured using `configure  '--with-pop' '--without-hesiod'
'--with-kerberos' '--with-kerberos5' '--with-xim'
'--enable-autodepend' '--prefix=/usr' '--mandir=/usr/share/man'
'--infodir=/usr/share/info' '--datadir=/usr/share'
'--localstatedir=/var' '--sharedstatedir=/var/lib'
'--libexecdir=/usr/lib' '--with-x' '--with-sound' '--with-sync-input'
'--with-xpm' '--with-jpeg' '--with-tiff' '--with-gif' '--with-png'
'--with-rsvg' '--with-dbus' '--without-gpm' '--with-x-toolkit=gtk'
'--x-includes=/usr/include' '--x-libraries=/usr/lib64:/usr/share/X11'
'--with-xft' '--with-libotf' '--with-m17n-flt'
'--build=x86_64-suse-linux' 'build_alias=x86_64-suse-linux'
'CFLAGS=-fmessage-length=0 -O2 -Wall -D_FORTIFY_SOURCE=2
-fstack-protector -funwind-tables -fasynchronous-unwind-tables -g
-D_GNU_SOURCE -std=gnu89 -pipe -Wno-pointer-sign -Wno-unused-variable
-Wno-unused-label -Wno-unprototyped-calls -fno-optimize-sibling-calls
-DSYSTEM_PURESIZE_EXTRA=55000 	 -DSITELOAD_PURESIZE_EXTRA=10000 '
'LDFLAGS=-Wl,-O2 -Wl,--hash-size=65521''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_GB.UTF-8
  value of $XMODIFIERS: @im=local
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  show-paren-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
M-x r e p o <tab> r <tab> <return>

Recent messages:
Loading /home/jadrian/.cabal/share/Agda-2.3.0.1/emacs-mode/agda2.el
(source)...done
Loading /usr/share/emacs/site-lisp/haskellmode-emacs/haskell-site-file.el
(source)...done
For information about GNU Emacs and the GNU system, type C-h C-a.
Making completion list...

Load-path shadows:
/usr/share/emacs/site-lisp/ruby-mode hides
/usr/share/emacs/23.3/lisp/progmodes/ruby-mode

Features:
(shadow sort mail-extr message idna byte-opt sendmail ecomplete rfc822
mml mml-sec password-cache mm-decode mm-bodies mm-encode mailcap
mail-parse rfc2231 rfc2047 rfc2045 qp ietf-drums mailabbrev nnheader
gnus-util netrc time-date mm-util mail-prsvr gmm-utils wid-edit
mailheader canlock sha1 hex-util hashcash mail-utils warnings emacsbug
help-mode view font-latex bytecomp byte-compile tex regexp-opt advice
help-fns advice-preload easymenu scala-mode-auto agda2 xfonts rmailgen
paren mouse-sel thingatpt preview-latex tex-site auto-loads ispell lpr
disp-table tooltip ediff-hook vc-hooks lisp-float-type mwheel x-win
x-dnd font-setting tool-bar dnd fontset image fringe lisp-mode register
page menu-bar rfn-eshadow timer select scroll-bar mldrag mouse jit-lock
font-lock syntax facemenu font-core frame cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese hebrew
greek romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev loaddefs button
minibuffer faces cus-face files text-properties overlay md5 base64
format env code-pages mule custom widget hashtable-print-readable
backquote make-network-process dbusbind system-font-setting
font-render-setting gtk x-toolkit x multi-tty emacs)




Acknowledgement sent to Jorge Adriano Branco Aires <jorge.adriano@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#11113; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.